Intermittent toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | cleanup - [cleanup : 265] A promise chain failed to handle a rejection: Ensure history has been updated and is visible to read-only connections - threw exception: Erro

RESOLVED FIXED in Firefox 58

Status

()

Toolkit
Places
P1
normal
RESOLVED FIXED
a month ago
23 days ago

People

(Reporter: Treeherder Bug Filer, Assigned: mak)

Tracking

({intermittent-failure})

unspecified
mozilla58
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox58 fixed)

Details

(Whiteboard: [stockwell fixed:other])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

a month ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=136650030&repo=mozilla-central

https://queue.taskcluster.net/v1/task/ev4M82O6SU6cese2HqYo_A/runs/0/artifacts/public/logs/live_backing.log

Comment 1

a month ago
14 failures in 947 pushes (0.015 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 8
* mozilla-inbound: 4
* mozilla-central: 2

Platform breakdown:
* linux64: 7
* windows10-64: 3
* windows7-32: 2
* windows7-32-nightly: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1408423&startday=2017-10-09&endday=2017-10-15&tree=all
In the last 7 days, there have been 32 failures [1]. Most of them occurred on Linux x64, but there are also some occurrences on Windows 10 x64, on opt and pgo. All of them occurred on xpcshell tests.

[1] https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1408423&startday=2017-10-14&endday=2017-10-20&tree=all
Whiteboard: [stockwell needswork]
here is a recent log:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=d4f6786669723bccabf73c864cf3e9342792d9c6

and some related data from the above log:
[task 2017-10-20T00:14:41.494Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[2]: index) - true == true
[task 2017-10-20T00:14:41.495Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[3]: itemType) - true == true
[task 2017-10-20T00:14:41.495Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[4]: uri) - true == true
[task 2017-10-20T00:14:41.496Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[5]: guid) - true == true
[task 2017-10-20T00:14:41.497Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[6]: parentGuid) - true == true
[task 2017-10-20T00:14:41.497Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 22] onItemRemoved(args[7]: source) - true == true
[task 2017-10-20T00:14:41.498Z] 00:14:41     INFO -  TEST-PASS | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | onItemRemoved_folder_recursive - [onItemRemoved_folder_recursive : 68] "onItemRemoved" == "onItemRemoved"
[task 2017-10-20T00:14:41.499Z] 00:14:41     INFO -  (xpcshell/head.js) | test run_next_test 12 finished (2)
[task 2017-10-20T00:14:41.499Z] 00:14:41     INFO -  (xpcshell/head.js) | test run_next_test 13 pending (2)
[task 2017-10-20T00:14:41.500Z] 00:14:41     INFO -  (xpcshell/head.js) | test onItemRemoved_folder_recursive finished (2)
[task 2017-10-20T00:14:41.501Z] 00:14:41     INFO -  toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | Starting cleanup
[task 2017-10-20T00:14:41.501Z] 00:14:41     INFO -  (xpcshell/head.js) | test cleanup pending (2)
[task 2017-10-20T00:14:41.502Z] 00:14:41     INFO -  (xpcshell/head.js) | test run_next_test 13 finished (2)
[task 2017-10-20T00:14:41.502Z] 00:14:41     INFO -  (xpcshell/head.js) | test run_next_test 14 pending (2)
[task 2017-10-20T00:14:41.503Z] 00:14:41     INFO -  (xpcshell/head.js) | test cleanup finished (2)
[task 2017-10-20T00:14:41.504Z] 00:14:41     INFO -  (xpcshell/head.js) | test run_next_test 14 finished (1)
[task 2017-10-20T00:14:41.504Z] 00:14:41     INFO -  exiting test
[task 2017-10-20T00:14:41.505Z] 00:14:41     INFO -  PID 17927 | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 534: uncaught exception: Ensure history has been updated and is visible to read-only connections - threw exception: Error: Connection is not open.
[task 2017-10-20T00:14:41.506Z] 00:14:41     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "uncaught exception: Ensure history has been updated and is visible to read-only connections - threw exception: Error: Connection is not open." {file: "resource://gre/modules/AsyncShutdown.jsm" line: 534}]"
[task 2017-10-20T00:14:41.507Z] 00:14:41  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/places/tests/bookmarks/test_nsINavBookmarkObserver.js | cleanup - [cleanup : 265] A promise chain failed to handle a rejection: Ensure history has been updated and is visible to read-only connections - threw exception: Error: Connection is not open. - stack: observe@resource://gre/modules/AsyncShutdown.jsm:534:9
[task 2017-10-20T00:14:41.508Z] 00:14:41     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:624:5
[task 2017-10-20T00:14:41.509Z] 00:14:41     INFO -  @-e:1:1
[task 2017-10-20T00:14:41.510Z] 00:14:41     INFO -  Rejection date: Fri Oct 20 2017 00:14:40 GMT+0000 (UTC) - false == true
[task 2017-10-20T00:14:41.510Z] 00:14:41     INFO -  resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:265
[task 2017-10-20T00:14:41.511Z] 00:14:41     INFO -  /builds/worker/workspace/build/tests/xpcshell/head.js:_execute_test:632
[task 2017-10-20T00:14:41.512Z] 00:14:41     INFO -  -e:null:1
[task 2017-10-20T00:14:41.512Z] 00:14:41     INFO -  exiting test
[task 2017-10-20T00:14:41.513Z] 00:14:41     INFO -  PID 17927 | JavaScript error: , line 0: uncaught exception: 2147500036


::mak, can you take a look at this (or help find someone else) when you have some time?
Flags: needinfo?(mak77)
my clipboard is not good, I posted the wrong link, here is the correct link for the error above:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=138356626&lineNumber=2694
(Assignee)

Comment 5

a month ago
Yes, this is trivial to fix.
Assignee: nobody → mak77
Status: NEW → ASSIGNED
Flags: needinfo?(mak77)
Priority: P5 → P1
Comment hidden (mozreview-request)

Comment 7

a month ago
mozreview-review
Comment on attachment 8920784 [details]
Bug 1408423 - Intermittent failure in test_nsINavBookmarkObserver.js.

https://reviewboard.mozilla.org/r/191776/#review196992
Attachment #8920784 - Flags: review?(standard8) → review+

Comment 8

a month ago
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/c3a769db18f3
Intermittent failure in test_nsINavBookmarkObserver.js. r=standard8
https://hg.mozilla.org/mozilla-central/rev/c3a769db18f3
Status: ASSIGNED → RESOLVED
Last Resolved: a month ago
status-firefox58: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla58

Comment 10

a month ago
30 failures in 864 pushes (0.035 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 18
* mozilla-inbound: 9
* try: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 18
* windows10-64: 4
* windows7-32: 3
* linux32: 3
* linux64-qr: 1
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1408423&startday=2017-10-16&endday=2017-10-22&tree=all
There haven't been any new failures since 20 October.
Whiteboard: [stockwell needswork] → [stockwell fixed:other]

Comment 12

23 days ago
3 failures in 912 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 3

Platform breakdown:
* linux64: 2
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1408423&startday=2017-10-23&endday=2017-10-29&tree=all
You need to log in before you can comment on or make changes to this bug.